function plotSinSimulations()
nSteps = 300;
nPaths = 1;

T0 = 0;
T = 0.5;

dt = T/nSteps;

dW = randn( nPaths, nSteps )*sqrt(dt);
times = dt:dt:T;
exactPath = sin(T0+cumsum( dW, 2 ));
eulerPath = simulateSinEuler( T0, dW, dt, nSteps );
milsteinPath = simulateSinMilstein( T0, dW, dt, nSteps );

plot( times, exactPath, times, eulerPath, times, milsteinPath);
legend( 'Exact path', 'Euler scheme', 'Milstein scheme');
title( 'Accuracy of schemes');

end

