function plotStockPriceSimulations()
%PLOTSIMULATIONS Summary of this function goes here
%   Detailed explanation goes here

nSteps = 20;
nPaths = 1;

S0 = 100;
mu = 2;
sigma = 0.5;
T = 1;

dt = T/nSteps;

dW1 = randn( nPaths, nSteps )*sqrt(dt);
dW2 = randn( nPaths, nSteps )*sqrt(dt);
dW = 1/sqrt(2)*(dW1 + dW2);
times = dt:dt:T;
exactPath = simulateStockExact( S0, mu, sigma, dt, dW, nSteps );
eulerPath = simulateStockEulerScheme( S0, mu, sigma, dt, dW, nSteps );
milsteinPath = simulateStockMilsteinScheme( S0, mu, sigma, dt, dW, nSteps );

plot( times, exactPath, times, eulerPath, times, milsteinPath );
legend( 'Exact path', 'Euler scheme', 'Milstein scheme');
title( 'Accuracy of schemes');

end

