function [price, upper95, lower95] = priceCallByMonteCarlo(  ...
    S0, sigma0, ...
    kappa, theta, xi, rho, ...
    T, nPaths, nSteps, ...
    K) 
% Price a call option by monte carlo using
% the heston model with zero interest rates

paths = generatePricePathsHeston(S0,sigma0, ...
    kappa, theta, xi, rho, ...
    T, nPaths, nSteps );
payoff = computeCallPayoff( K, paths );
price = mean( payoff );
error = std( payoff )/sqrt( nPaths );
upper95 = price + 1.96*error;
lower95 = price - 1.96*error;

end

