function [ X ] = simulateSinEuler( X0, dW, dt, nSteps )
% Simulate the following process
% dX = -1/2 X + sqrt(1-X^2) dW
% Note this is obtained by taking the sin of brownian motion

currX = X0;
nPaths = size( dW, 1);
X = zeros(nPaths, nSteps );
for i=1:nSteps 
    currDW = dW(1:end,i);
    X(1:end,i) = currX - 0.5*currX*dt + sqrt(1-currX.^2).* currDW;
    currX = X(1:end,i);
end    
    
end
