function [ S ] = simulateStockExact( S0, mu, sigma, dt, dW, nSteps )
% EXACT solution
currs = log(S0);
nPaths = size( dW, 1);
s = zeros(nPaths, nSteps );
for i=1:nSteps 
    currDW = dW(1:end,i);
    s(1:end,i) = currs + (mu-0.5*sigma^2)*dt + sigma *currDW;
    currs = s(1:end,i);
end    
S = exp(s);    

end

