function [ S ] = simulateStockMilsteinScheme( S0, mu, sigma, dt, dW, nSteps )

currS = S0;
nPaths = size( dW, 1);
S = zeros(nPaths, nSteps );
for i=1:nSteps 
    currDW = dW(1:end,i);
    S(1:end,i) = currS + currS * mu * dt + sigma * currS .*currDW + 0.5*sigma^2*currS.*(currDW.^2 - dt);
    currS = S(1:end,i);
end    
    

end
