function [r,times]=simulateVasicek( r0, a, b, sigma, T, NPaths, NSteps )
%SIMULATEVASICEK Generate simulations of the Vasickek model

dt = T/NSteps;
times = dt:dt:T;
r = zeros( NPaths, NSteps );
currR = r0;
for i=1:NSteps
    epsilon = randn( NPaths,1 );
    currR = currR + a*(b-currR)*dt + sigma*sqrt(dt)*epsilon;
    r(:,i)=currR;
end    

end

