function testSimulateVasicek()
%TESTSIMULATEVASICEK 
%  For the example parameters we observe expected mean reversion etc.
%  If you wanted automated tests of the function you could try some  tests for extreme
%  values e.g. when a = 0 we have brownian motion and when sigma = 0
%  we have deterministic behaviour.

r0 = 0.15;
a = 3;
b = 0.1;
sigma = 0.1;
[r,times] = simulateVasicek(r0,a,b,sigma,1,10000,365);
disp( size(r));
topPrctile = prctile( r, 95, 1 );
bottomPrctile = prctile( r, 5, 1 );
median = prctile( r, 50, 1 );
plot(times,r(1,:), times, topPrctile, times, bottomPrctile, times, median);
legend('Sample path', '95th percentile', '5th percentile', 'Median');


end

